@ECHO OFF

JAR > NUL 2>&1
if %ERRORLEVEL% GTR 1 (
ECHO JAR: command not found or JAR is not recognized as internal external command. 
ECHO Please refer http://cart.optimizory.com/rmsis/faq for more details.
ECHO ***** RMSIS NOT CONFIGURED PROPERLY *****
ECHO Press any key to exit
PAUSE > NUL
EXIT /B 1
) else (
ECHO Please enter the full absolute path (relative paths are not allowed) 
ECHO of RMsis home directory (If you have not created RMsis home directory 
ECHO then create a new one, RMsis will store some configuration files 
ECHO (database, mail configuration files etc.), backups, logs and some 
ECHO other data in that directory) e.g. C:/rmsis
ECHO Note: Each backslash in your path must be written as a forward slash.
ECHO For example: c:\optimizory\rmsis must be written as c:/optimizory/rmsis

REM Ask RMsis home directory path from user

:LoopStart
:input
set rmsisHome=
set /P rmsisHome= %=%
if "%rmsisHome%"=="" GOTO input
IF EXIST "%rmsisHome%" GOTO LoopEnd
ECHO RMsis home directory doesn't exists !! 
ECHO Please enter again :
GOTO LoopStart
:LoopEnd

REM Does rmsisHome have a trailing slash? if so remove it 
IF %rmsisHome:~-1%==\ SET rmsisHome=%rmsisHome:~0,-1%

ECHO RMsis home directory: %rmsisHome%


REM copy sample jdbc.properties file to rmsisHome directory if not exists already in rmsisHome directory

IF EXIST "%rmsisHome%\jdbc.properties" GOTO JDBC
  ECHO Copying jdbc.properties file to %rmsisHome%\ ...
  COPY sample-conf\jdbc.properties "%rmsisHome%"
: JDBC

REM copy sample mail.properties file to rmsisHome directory if not exists already in rmsisHome directory

if EXIST "%rmsisHome%\mail.properties" GOTO MAIL
  ECHO Copying mail.properties file to %rmsisHome%\ ...
  COPY sample-conf\mail.properties "%rmsisHome%"
: MAIL

REM create logs directory in rmsisHome directory if not exists

if EXIST "%rmsisHome%\logs" GOTO LOGS
  mkdir "%rmsisHome%\logs"
: LOGS


REM update rmsis war file with rmsisHome path
mkdir WEB-INF\classes



ECHO rmsisHome=%rmsisHome% > WEB-INF\classes\app.properties

ECHO Configuring RMsis home directory path in rm.war file ...
jar uf rm.war WEB-INF\classes\app.properties

rmdir /S /Q WEB-INF

ECHO rm.war file successfully updated
)
